FAQ
When I start my apache server with mod_perl,I found some strange
output.I don't know how to solve this problem?please help me,thanks.

[Tue Jul 10 22:28:17 2007] [error] DynaLoader object version 1.05 does
not match $DynaLoader::VERSION at
/flex/perl/lib/5.8.8/i686-linux/XSLoader.pm line 18.\nCompilation
failed in require at /flex/perl/lib/5.8.8/i686-linux/IO.pm line
5.\nBEGIN failed--compilation aborted at
/flex/perl/lib/5.8.8/i686-linux/IO.pm line 5.\nCompilation failed in
require at /flex/perl/lib/5.8.8/i686-linux/IO/Handle.pm line
263.\nBEGIN failed--compilation aborted at
/flex/perl/lib/5.8.8/i686-linux/IO/Handle.pm line 263.\nCompilation
failed in require at /flex/perl/lib/5.8.8/i686-linux/IO/Seekable.pm
line 101.\nBEGIN failed--compilation aborted at
/flex/perl/lib/5.8.8/i686-linux/IO/Seekable.pm line 101.\nCompilation
failed in require at /flex/perl/lib/5.8.8/i686-linux/IO/File.pm line
133.\nBEGIN failed--compilation aborted at
/flex/perl/lib/5.8.8/i686-linux/IO/File.pm line 133.\nCompilation
failed in require at /flex/perl/lib/5.8.8/i686-linux/IO/Dir.pm line
15.\nBEGIN failed--compilation aborted at
/flex/perl/lib/5.8.8/i686-linux/IO/Dir.pm line 15.\nCompilation failed
in require at /flex/perl/lib/site_perl/5.8.8/Path/Class/Dir.pm line
9.\nBEGIN failed--compilation aborted at
/flex/perl/lib/site_perl/5.8.8/Path/Class/Dir.pm line 9.\nCompilation
failed in require at /flex/perl/lib/site_perl/5.8.8/Path/Class/File.pm
line 4.\nBEGIN failed--compilation aborted at
/flex/perl/lib/site_perl/5.8.8/Path/Class/File.pm line 4.\nCompilation
failed in require at /flex/perl/lib/site_perl/5.8.8/Path/Class.pm line
10.\nBEGIN failed--compilation aborted at
/flex/perl/lib/site_perl/5.8.8/Path/Class.pm line 10.\nCompilation
failed in require at /flex/perl/lib/site_perl/5.8.8/Catalyst/Utils.pm
line 7.\nBEGIN failed--compilation aborted at
/flex/perl/lib/site_perl/5.8.8/Catalyst/Utils.pm line 7.\nCompilation
failed in require at
/flex/perl/lib/site_perl/5.8.8/Catalyst/Component.pm line 6.\nBEGIN
failed--compilation aborted at
/flex/perl/lib/site_perl/5.8.8/Catalyst/Component.pm line
6.\nCompilation failed in require at (eval 3) line 3.\n\t...propagated
at /flex/perl/lib/5.8.8/base.pm line 85.\nBEGIN failed--compilation
aborted at /flex/perl/lib/site_perl/5.8.8/Catalyst.pm line
4.\nCompilation failed in require at /flex/tmp/MyApp/lib/MyApp.pm line
16.\nBEGIN failed--compilation aborted at /flex/tmp/MyApp/lib/MyApp.pm
line 16.\nCompilation failed in require at (eval 2) line 3.\n
[Tue Jul 10 22:28:17 2007] [error] Can't load Perl module MyApp for
server ljflex.cig.mot.com:8080, exiting...

Search Discussions

  • Perrin Harkins at Jul 11, 2007 at 4:37 am

    On 7/10/07, Cookie wrote:
    When I start my apache server with mod_perl,I found some strange
    output.I don't know how to solve this problem?
    Usually this means you upgraded perl and didn't recompile mod_perl, or
    your modules.

    - Perrin

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedJul 11, '07 at 4:31a
activeJul 11, '07 at 4:37a
posts2
users2
websitecatalystframework.org
irc#catalyst

2 users in discussion

Cookie: 1 post Perrin Harkins: 1 post

People

Translate

site design / logo © 2022 Grokbase